
//	Metamaxim ModelScope
//	Copyright 2004 Metamaxim Ltd

package Gold;

import com.metamaxim.modelscope.callbacks.*;
import java.util.*;

public class Notify extends Event {

	public void setProspect (EventReferenceAttribute allProspects, Instance selectedOffer, String subscript) {
	// Removes all Dealers to whom a Notification cannot be made from the list of candidate Prospects
		if (!subscript.equals("Offer")) return;
		HashSet wrongProspects = new HashSet();
		for (int i = 0; i < allProspects.size(); i++) {
			Instance thisProspect = allProspects.get(i);
			if (!Rules.checkNotification(selectedOffer, thisProspect, 0)) wrongProspects.add(thisProspect);
		}
		allProspects.removeAll(wrongProspects);
	}

	public void setOffer (EventReferenceAttribute allOffers, Instance selectedProspect, String subscript) {
	// Removes all Offers for which a Notification cannot be made from the list of candidate Offers
		if (!subscript.equals("Prospect")) return;
		HashSet wrongOffers = new HashSet();
		for (int i = 0; i < allOffers.size(); i++) {
			Instance thisOffer = allOffers.get(i);
			if (!Rules.checkNotification(thisOffer, selectedProspect, 0)) wrongOffers.add(thisOffer);
		}
		allOffers.removeAll(wrongOffers);
	}

}


